%define name gens
%define version 2.12
%define distsuffix plf
%define release %mkrel 0.2005feb13.1

Name: %{name}
Summary: A Genesis emulator
Version: %{version}
Release: %{release}
Group: Emulators
Source: http://gens.sf.net/%{name}-src-multiplatform-2005feb13.tar.bz2
Source1: %{name}.16.png.bz2
Source2: %{name}.32.png.bz2
Source3: %{name}.48.png.bz2
Patch:   gens-2005feb13-gcc4.patch.bz2
Url: http://gens.consolemul.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License: GPL
BuildRequires: gtk2-devel
BuildRequires: SDL1.2-devel
BuildRequires: nasm
BuildRequires: automake1.7
BuildRequires: autoconf2.5
%description
Gens is a GPL emulator for the genesis, ported from win32
to BeOS and linux. It was the fastest on win32, and is pretty fast on linux.

This package is in PLF as Mandriva Linux policy forbids emulators.
%prep
%setup -q -n %{name}
%patch -p0
sed -s 's/
//' -i GensForLinux/{AUTHORS,COPYING,README,INSTALL,BUGS}

%build
cd GensForLinux
sed -s 's/
//' -i configure.in
aclocal-1.7 
rm -f configure missing
autoconf-2.5x -f
automake-1.7 -f -a
%configure
perl -pi -e 's/-DGTK_DISABLE_DEPRECATED//' $(find . -name Makefile)
%make

%install
rm -rf $RPM_BUILD_ROOT
cd GensForLinux
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}): command="%{name}" \
needs="X11" section="More Applications/Emulators" title="Gens" icon="%{name}.png" \
longtitle="A Genesis emulator"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,0755)
%doc GensForLinux/{AUTHORS,COPYING,README,INSTALL,BUGS}
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sun Apr 23 2006 Michael Scherer <misc@zarb.org> 2.12-0.2005feb13.1plf
- New snapshot, close #110
- pach for gcc4 build
- use mkrel
- new menu 

* Sat Sep 25 2004 Michael Scherer <misc@zarb.org> 2.12-0.rc3.1plf 
- rc3
- fix rpmlint warning
- fix compile

* Tue Jul 22 2003 Michael Scherer <scherer.michael@free.fr> 2.12-0.rc2.2plf 
- fix description
- added a menu && icons

* Mon Jul 21 2003 Michael Scherer <scherer.michael@free.fr> 2.12-0.rc2.1plf
- initial spec

